sopwith_1.8.4-2_i386.deb


Advertisement

Description

sopwith - port of the 1980's side-scrolling WWI dogfighting game

Distribution: Ubuntu 16.04 LTS (Xenial Xerus)
Repository: Ubuntu Universe i386
Package name: sopwith
Package version: 1.8.4
Package release: 2
Package architecture: i386
Package type: deb
Installed size: 139 B
Download size: 49.39 KB
Official Mirror: archive.ubuntu.com
This is an updated version of the 1980's game developed by David L. Clark of BMB Compuscience Canada. It has been adapted to run under *nix using the SDL toolkit. Poor graphics, stupid AI, and horrible sound await you. The gameplay is simple, addictive, and fun. A `side-scroller', you pilot your biplane across a static field, destroying enemy encampments and planes.

Alternatives

    Download

    Binary package: sopwith_1.8.4-2_i386.deb
    Source package: sopwith

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install sopwith deb package:
      # sudo apt-get install sopwith

    Files

    • /usr/games/sopwith
    • /usr/share/applications/sopwith.desktop
    • /usr/share/doc/sopwith/FAQ.gz
    • /usr/share/doc/sopwith/README.Debian
    • /usr/share/doc/sopwith/TODO
    • /usr/share/doc/sopwith/changelog.Debian.gz
    • /usr/share/doc/sopwith/copyright
    • /usr/share/doc/sopwith/keys.txt
    • /usr/share/doc/sopwith/origdoc.txt.gz
    • /usr/share/doc/sopwith/readme.txt.gz
    • /usr/share/lintian/overrides/sopwith
    • /usr/share/man/man6/sopwith.6.gz
    • /usr/share/menu/sopwith
    • /usr/share/pixmaps/sopwith.png
    • /usr/share/pixmaps/sopwith.xpm

    Changelog

    2015-08-05 - Kenneth J. Pronovici <pronovic@debian.org> sopwith (1.8.4-2) unstable; urgency=medium * Bump standards version to 3.9.6.1 (no packaging changes). * Fix all patches to eliminate the unnecessary leading # character.

    2014-11-22 - Kenneth J. Pronovici <pronovic@debian.org> sopwith (1.8.4-1) unstable; urgency=medium * New upstream release. * Clean up patches. - Add remove-auto-files.patch to remove leftover config.status - Remove debian/patches/manpage.patch, since changes are now in upstream

    2014-10-03 - Kenneth J. Pronovici <pronovic@debian.org> sopwith (1.8.3-2) unstable; urgency=medium * Fix Lintian bug in debian/copyright: empty-short-license-in-dep5-copyright. * Bump standards version to 3.9.6.0 (no packaging changes).

    2014-05-26 - Kenneth J. Pronovici <pronovic@debian.org> sopwith (1.8.3-1) unstable; urgency=medium * New upstream release. - Upstream changes fix potential compile problem (closes: #748172).

    2014-04-29 - Kenneth J. Pronovici <pronovic@debian.org> sopwith (1.8.2+clean-1) unstable; urgency=medium * Release with a modified tarball to remove accidentally-included .o files.

    2014-03-22 - Kenneth J. Pronovici <pronovic@debian.org> sopwith (1.8.2-1) unstable; urgency=medium * New upstream release. * Fix segmentation fault in single player mode (closes: #742295). - Add 'export DEB_BUILD_OPTIONS=noopt' in debian/rules to build with -O0 - Add lintian overrides for hardening-no-fortify-functions

    2014-02-23 - Kenneth J. Pronovici <pronovic@debian.org> sopwith (1.8.1-4) unstable; urgency=low * Bump standards version to 3.9.5.0 (no packaging changes). * Fix Lintian warning about missing Keyword key in debian/sopwith.desktop. * Improve Debian menu definition (closes: #738031). - Reformat debian/sopwith.menu to put all fields on separate lines - Add icon field in debian/sopwith.menu, per suggestion from submitter - Add longtitle field in debian/sopwith menu, to be more standard - Create new XPM icon debian/sopwith.xpm based on sopwith.png - Update debian/sopwith.install to put sopwith.xpm in /usr/share/pixmaps

    2013-07-28 - Kenneth J. Pronovici <pronovic@debian.org> sopwith (1.8.1-3) unstable; urgency=low * Update debian/rules to touch config.status in clean rule, to fix FTBFS from 'make clean' if the file doesn't exist (closes: #718128).

    2013-04-24 - Kenneth J. Pronovici <pronovic@debian.org> sopwith (1.8.1-2) unstable; urgency=low * Convert debian/rules to debhelper7, overriding just a few standard targets. * Update debian/sopwith.install to handle desktop items with a relative path.

    2013-03-27 - Kenneth J. Pronovici <pronovic@debian.org> sopwith (1.8.1-1) unstable; urgency=low * New upstream release. - Update debian/patches/remove-auto-files.patch to match upstream tarball - Update debian/patches/manpage.patch to work with latest upstream file

    Advertisement
    Advertisement